List Queue Workers
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/workers \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/workers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"worker_id": "<string>",
"status": "<string>",
"tasks_processed": 123,
"current_task_id": "<string>",
"last_heartbeat": "<string>",
"registered_at": "<string>",
"worker_metadata": {},
"system_info": {
"hostname": "<string>",
"platform": "<string>",
"os_name": "<string>",
"os_version": "<string>",
"python_version": "<string>",
"cli_version": "<string>",
"sdk_version": "<string>",
"pid": 123,
"cwd": "<string>",
"supported_runtimes": [
"<string>"
],
"llm_gateway_url": "<string>",
"docker_available": true,
"docker_version": "<string>",
"cpu_count": 123,
"cpu_percent": 123,
"memory_total": 123,
"memory_used": 123,
"memory_percent": 123,
"disk_total": 123,
"disk_used": 123,
"disk_percent": 123,
"uptime_seconds": 123
},
"logs": [
"<string>"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
List Queue Workers
List all workers for a specific queue with detailed information.
GET
/
api
/
v1
/
worker-queues
/
{queue_id}
/
workers
List Queue Workers
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Response
Successful Response
Worker system information
Show child attributes
Show child attributes
Was this page helpful?
⌘I